Bug 47436 - 3c556 Laptop Tornado NIC problems
Summary: 3c556 Laptop Tornado NIC problems
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-07-05 14:40 UTC by Frank Sweetser
Modified: 2007-04-18 16:34 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-13 22:16:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Frank Sweetser 2001-07-05 14:40:59 UTC
HP6000 laptop, builtin 3Com "minipci" ethernet adapter.  Worked fine under
stock RH7.1.  Fails at bootup with no link, but repeated ifdown/ifup seems
to eventually work.  No errors are reported by ifconfig.

lspci -v

00:0b.0 Ethernet controller: 3Com Corporation 3c556 Laptop Tornado (rev 10)
        Subsystem: 3Com Corporation: Unknown device 6256
        Flags: bus master, medium devsel, latency 80, IRQ 10
        I/O ports at 1800 [size=128]
        Memory at f4002400 (32-bit, non-prefetchable) [size=128]
        Memory at f4002000 (32-bit, non-prefetchable) [size=128]
        Expansion ROM at <unassigned> [disabled] [size=128K]
        Capabilities: [50] Power Management version 1

dmesg

3c59x.c:LK1.1.13 27 Jan 2001  Donald Becker and other. 
http://www.scyld.com/network/vortex.html
See Documentation/networking/vortex.txt
eth0: 3Com PCI 3c556 Laptop Tornado at 0x1800,  00:00:86:41:c4:4d, IRQ 10
  product code 0000 rev 00.0 date 09-02-99
eth0: CardBus functions mapped f4002000->c8844000
  8K byte-wide RAM 5:2 Rx:Tx split, MII interface.
  MII transceiver found at address 0, status 7809.
  Enabling bus-master transmits and whole-frame receives.
eth0: scatter/gather disabled.  h/w checksums enabled.

Comment 1 Glen Foster 2001-07-13 22:16:51 UTC
This defect considered SHOULD-FIX for Fairfax gold-release.

Comment 2 Frank Sweetser 2001-07-30 18:57:04 UTC
Seems to work fine in beta 3 (kernel 2.4.6-3.1)


Note You need to log in before you can comment on or make changes to this bug.